{{log "chatCard-weapon-button.hbs" this}}


<button class="chatCard-button" data-action="healthchange-roll" data-forceLarge="false"
    data-damage-size="{{damageSize}}">
    <div class="flexrow">
        <div class="action-icon"><img src="{{localize config.icons.general.combat.damage}}" /></div>
        {{#if item.ammo}}
            <div class="center-text">{{localize "ARS.chat.damage"}}
                {{#if target}}
                    ({{item.ammo.system.damage.normal}}{{#if item.ammo.system.damage.large}}/{{item.ammo.system.damage.large}}{{/if}})
                {{else}}
                    {{!-- break out medium/large damage buttons when no target --}}
                    {{#if (eq damageSize 'medium')}}
                        ({{item.ammo.system.damage.normal}})
                    {{else}}
                        {{#if item.ammo.system.damage.large}}
                            ({{item.ammo.system.damage.large}} L)
                        {{/if}}
                    {{/if}}
                {{/if}}
            </div>
        {{else}}
            <div class="center-text">{{localize "ARS.chat.damage"}}
                {{#if target}}
                    ({{item.system.damage.normal}}{{#if item.system.damage.large}}/{{item.system.damage.large}}{{/if}})
                {{else}}
                    {{!-- break out medium/large damage buttons when no target --}}
                    {{#if (eq damageSize 'medium')}}
                        ({{item.system.damage.normal}})
                    {{else}}
                        {{#if item.system.damage.large}}
                            ({{item.system.damage.large}} L)
                        {{/if}}
                    {{/if}}
                {{/if}}
            </div>
        {{/if}}
    </div>
</button>